This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 602348 - Review Request: rubygem-net-ssh - A Ruby ssh client library
Review Request: rubygem-net-ssh - A Ruby ssh client library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 588461 (view as bug list)
Depends On:
Blocks: buildr 588446 601633
  Show dependency treegraph
 
Reported: 2010-06-09 12:37 EDT by Shreyank Gupta
Modified: 2014-07-29 15:17 EDT (History)
6 users (show)

See Also:
Fixed In Version: rubygem-net-ssh-2.0.23-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-13 12:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Shreyank Gupta 2010-06-09 12:38:39 EDT
*** Bug 588461 has been marked as a duplicate of this bug. ***
Comment 2 Shreyank Gupta 2010-06-09 12:52:25 EDT
Koji Build:
-----------

http://koji.fedoraproject.org/koji/taskinfo?taskID=2241198
Comment 3 Mamoru TASAKA 2010-06-09 14:46:43 EDT
Well, as currently CVS / koji is down, for now I will just look at your
spec file, however:

-------------------------------------------------------
%check
pushd %{buildroot}%{geminstdir}

# Run tests
rake test --trace

# Remove unnecessary files
rm -f setup.rb net-ssh.gemspec

# file-not-utf8 correction

iconv --from=ISO-8859-1 --to=UTF-8 THANKS.rdoc > THANKS.rdoc.new && \
touch -r THANKS.rdoc THANKS.rdoc.new && \
mv THANKS.rdoc.new THANKS.rdoc

popd
-------------------------------------------------------
- Well, why the lines below "rake test" are done in %check
  section?
Comment 4 Shreyank Gupta 2010-06-10 03:49:12 EDT
Updated:
--------
Spec URL:
http://shreyankg.fedorapeople.org/packaging/net-ssh/rubygem-net-ssh.spec
SRPM URL:
http://shreyankg.fedorapeople.org/packaging/net-ssh/rubygem-net-ssh-2.0.23-2.fc13.src.rpm

Notes:
------

* See %changelog :-)
Comment 5 Mamoru TASAKA 2010-06-10 13:07:46 EDT
Well,

* Test
  - It seems that "rake test" does not do any test.
    test/README.txt says that to execute tests actually the following
    command is needed:
---------------------------------------------------------------
ruby -Ilib -Itest -rrubygems test/test_all.rb
---------------------------------------------------------------
    Note:
    - test/common.rb contains:
---------------------------------------------------------------
     2  gem "test-unit" # http://rubyforge.org/pipermail/test-unit-tracker/2009-July/000075.html
---------------------------------------------------------------
      However with ruby 1.8.x test/unit is in ruby core (i.e.
      in ruby-libs rpm) and this line is not needed (for 
      ruby 1.8.x).
Comment 7 Mamoru TASAKA 2010-06-10 14:15:51 EDT
Well, I think keeping "BR: rubygem(rake)" and "rake test" lines is
safer, however not a blocker.

-------------------------------------------------------------
    This package (rubygem-net-ssh) is APPROVED by mtasaka
-------------------------------------------------------------
Comment 8 Shreyank Gupta 2010-06-10 15:00:29 EDT
I will update that.
Meanwhile..

New Package CVS Request
=======================
Package Name: rubygem-net-ssh
Short Description: A Ruby ssh client library
Owners: shreyankg
Branches: F-13
Comment 9 Kevin Fenzi 2010-06-11 00:55:30 EDT
CVS done (by process-cvs-requests.py).
Comment 11 Fedora Update System 2010-06-11 05:49:49 EDT
rubygem-net-ssh-2.0.23-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-net-ssh-2.0.23-5.fc13
Comment 12 Mamoru TASAKA 2010-06-13 12:59:42 EDT
Closing.
Comment 13 Fedora Update System 2010-06-15 12:05:30 EDT
rubygem-net-ssh-2.0.23-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Michal Fojtik 2011-07-19 04:58:28 EDT
I'm willing to import this package to EPEL if you don't mind.

Package Change Request
======================
Package Name: rubygem-net-ssh
New Branches: el5 el6
Owners: mfojtik
Comment 15 Jon Ciesla 2011-07-19 08:39:07 EDT
Git done (by process-git-requests).
Comment 16 Troy Dawson 2014-07-29 14:58:30 EDT
Package Change Request
======================
Package Name: rubygem-net-ssh
New Branches: epel7
Owners: tdawson
Comment 17 Jon Ciesla 2014-07-29 15:17:57 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.